Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Enum Class CrossReferenceResolutionScope

java.lang.Object
java.lang.Enum<CrossReferenceResolutionScope>
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.CrossReferenceResolutionScope

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossReferenceResolutionScope>`, `java.lang.constant.Constable`

public enum CrossReferenceResolutionScope extends Enum<CrossReferenceResolutionScope>
Defines the scope for the resolution of a file's logical model.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTAINER`
Only crawl the container of the file which dependencies we're resolving.
`OUTGOING`
Do not try to find files that depend on the file currently being resolved, only check for its own outgoing dependencies.
`PROJECT`
Crawls the project containing the file which dependencies we're resolving in order to determine their outgoing dependencies.
`SELF`
Do not try and resolve cross-referenced resources for this logical model.
`WORKSPACE`
Crawls the whole workspace for model files, loading them as EMF models in order to determine their outgoing dependencies.

## Method Summary

Modifier and Type
Method
Description
`static CrossReferenceResolutionScope`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrossReferenceResolutionScope[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WORKSPACE

public static final CrossReferenceResolutionScope WORKSPACE
Crawls the whole workspace for model files, loading them as EMF models in order to determine their outgoing dependencies.

### PROJECT

public static final CrossReferenceResolutionScope PROJECT
Crawls the project containing the file which dependencies we're resolving in order to determine their outgoing dependencies.

### CONTAINER

public static final CrossReferenceResolutionScope CONTAINER
Only crawl the container of the file which dependencies we're resolving.

### OUTGOING

public static final CrossReferenceResolutionScope OUTGOING
Do not try to find files that depend on the file currently being resolved, only check for its own outgoing dependencies.

### SELF

public static final CrossReferenceResolutionScope SELF
Do not try and resolve cross-referenced resources for this logical model.

## Method Details

### values

public static CrossReferenceResolutionScope[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrossReferenceResolutionScope valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null